CVE-2018-13386

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

There was an argument injection vulnerability in Sourcetree for Windows via filenames in Mercurial repositories. An attacker with permission to commit to a Mercurial repository linked in Sourcetree for Windows is able to exploit this issue to gain code execution on the system. Versions of Sourcetree for Windows before version 2.6.9 are affected by this vulnerability.

References

https://jira.atlassian.com/browse/SRCTREEWIN-8884

Details

Source: MITRE

Published: 2018-07-24

Updated: 2020-08-24

Type: CWE-88

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 8.1

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.2

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:atlassian:sourcetree:*:*:*:*:*:windows:*:*

Tenable Plugins

View all (2 total)

IDNameProductFamilySeverity
117406Atlassian SourceTree 0.5.1.0 < 2.6.9 Remote Code Execution VulnerabilitiesNessusWindows
critical
117405Atlassian SourceTree 1.0b2 < 2.7.6 Remote Code Execution Vulnerabilities (Mac OSX)NessusMacOS X Local Security Checks
critical